Bug 17663 - Forgotten userpermissions from bug 14686
Summary: Forgotten userpermissions from bug 14686
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-20 15:32 UTC by Marcel de Rooy
Modified: 2017-02-14 11:38 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17663: Forgotten userpermissions from bug 14686 (2.54 KB, patch)
2016-11-20 15:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED OFF] Bug 17663: Forgotten userpermissions from bug 14686 (2.57 KB, patch)
2016-11-20 17:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17663: Forgotten userpermissions from bug 14686 (3.22 KB, patch)
2016-11-21 12:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17663: Forgotten userpermissions from bug 14686 (3.27 KB, patch)
2016-11-21 12:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17663: Forgotten userpermissions from bug 14686 (3.30 KB, patch)
2016-11-21 12:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-11-20 15:32:19 UTC
Bug 14686 added in a dbrev:
    (13, 'upload_general_files', 'Upload any file'),
    (13, 'upload_manage', 'Manage uploaded files');

But these were not added in userpermissions.sql somehow :)
Comment 1 Marcel de Rooy 2016-11-20 15:47:40 UTC
Created attachment 57662 [details] [review]
Bug 17663: Forgotten userpermissions from bug 14686

Bug 14686 added in a dbrev:
    (13, 'upload_general_files', 'Upload any file'),
    (13, 'upload_manage', 'Manage uploaded files');

But these were not added in userpermissions.sql somehow :)
So, what now?

This patch:
[1] adds them to userpermissions.sql as should have been done,
[2] adds a dbrev to add them for newer installs that did not run the
    14686 dbrev.

Test plan:
[1] Run this sql statement:
    DELETE FROM permissions WHERE code = 'upload_general_files' OR
        code = 'upload_manage'
[2] Run the db rev.
[2] Check if you see Tools/Upload (with sufficient perms).
Comment 2 Katrin Fischer 2016-11-20 17:43:39 UTC
Created attachment 57664 [details] [review]
[SIGNED OFF] Bug 17663: Forgotten userpermissions from bug 14686

Bug 14686 added in a dbrev:
    (13, 'upload_general_files', 'Upload any file'),
    (13, 'upload_manage', 'Manage uploaded files');

But these were not added in userpermissions.sql somehow :)
So, what now?

This patch:
[1] adds them to userpermissions.sql as should have been done,
[2] adds a dbrev to add them for newer installs that did not run the
    14686 dbrev.

Test plan:
[1] Run this sql statement:
    DELETE FROM permissions WHERE code = 'upload_general_files' OR
        code = 'upload_manage'
[2] Run the db rev.
[2] Check if you see Tools/Upload (with sufficient perms).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2016-11-21 07:23:23 UTC
(In reply to Katrin Fischer from comment #2)
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Great!
Comment 4 Marcel de Rooy 2016-11-21 12:17:47 UTC
Created attachment 57675 [details] [review]
Bug 17663: Forgotten userpermissions from bug 14686

Bug 14686 added in a dbrev:
    (13, 'upload_general_files', 'Upload any file'),
    (13, 'upload_manage', 'Manage uploaded files');

But these were not added in userpermissions.sql somehow :)
So, what now?

This patch:
[1] adds them to userpermissions.sql as should have been done,
[2] adds a dbrev to add them for newer installs that did not run the
    14686 dbrev.

Test plan:
[1] Run this sql statement:
    DELETE FROM permissions WHERE code = 'upload_general_files' OR
        code = 'upload_manage'
[2] Run the db rev.
[3] Check if you see Tools/Upload (with sufficient perms).
Comment 5 Marcel de Rooy 2016-11-21 12:21:50 UTC
Created attachment 57676 [details] [review]
Bug 17663: Forgotten userpermissions from bug 14686

Bug 14686 added in a dbrev:
    (13, 'upload_general_files', 'Upload any file'),
    (13, 'upload_manage', 'Manage uploaded files');

But these were not added in userpermissions.sql somehow :)
So, what now?

This patch:
[1] adds them to userpermissions.sql as should have been done,
[2] adds a dbrev to add them for newer installs that did not run the
    14686 dbrev.

Test plan:
[1] Run this sql statement:
    DELETE FROM permissions WHERE code = 'upload_general_files' OR
        code = 'upload_manage'
[2] Run the db rev.
[3] Check if you see Tools/Upload (with sufficient perms).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2016-11-21 12:25:23 UTC
Created attachment 57677 [details] [review]
Bug 17663: Forgotten userpermissions from bug 14686

Bug 14686 added in a dbrev:
    (13, 'upload_general_files', 'Upload any file'),
    (13, 'upload_manage', 'Manage uploaded files');

But these were not added in userpermissions.sql somehow :)
So, what now?

This patch:
[1] adds them to userpermissions.sql as should have been done,
[2] adds a dbrev to add them for newer installs that did not run the
    14686 dbrev.

Test plan:
[1] Run this sql statement:
    DELETE FROM permissions WHERE code = 'upload_general_files' OR
        code = 'upload_manage'
[2] Run the db rev.
[3] Check if you see Tools/Upload (with sufficient perms).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Marcel de Rooy 2016-11-22 13:00:32 UTC
Has been pushed by Kyle on November 21, 2016.
Thanks.
Comment 8 Mason James 2016-12-08 03:24:13 UTC
Pushed to 16.05.x, will be in 16.05.06